// pages/perinfo/perinfo.js
var BASEURL = require('../../utils/wxconstant.js')
var baseUrl = BASEURL.BaseUrl()
var baseutils = require('../../utils/baseUtils.js')
var netUtil = require('../../utils/network.js')
var dateutil = require('../../utils/DateTime.js')

Page({

  /**
   * 页面的初始数据
   */
  data: {
    InfoData:{},
    enterDate:'',
    birthDate:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this
    that.getInfoData()
  },

  getInfoData: function(){
    var that = this
    var data = { openid: wx.getStorageSync('openid') }
    var url = baseUrl + BASEURL.getUrl.getEmp
    netUtil.requestLoading(url, data, '正在加载数据...', 'GET', function (res) {
      if(res.data.success && res.data.data){
        that.setData({
          InfoData: res.data.data,
          enterDate: dateutil.getComDate(new Date(res.data.data.empEntry),'yy-mm-dd'),
          birthDate: dateutil.getComDate(new Date(res.data.data.empBirth), 'yy-mm-dd'),
        })
        if (res.data.success && res.data.data) {
          wx.setStorageSync("myInfoData", res.data.data)
          // console.log('myInfoData', wx.getStorageSync('myInfoData'))
        }
      }
    }, function (res) {
      wx.showToast({
        title: '加载数据失败',
        icon: 'none',
        duration: 2000
      })
    })
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})